package com.navinfo.outdoor.bean;

/**
 * 普通任务
 */
public class ReceivedPoiBean {

    /**
     * code : 200
     * message : 成功
     * body : {"id":6774,"address":"北京市海淀区","geo":"POINT(116.28759 40.049277)","type":5,"name":"启明星辰大厦(西门)","isExclusive":0}
     */

    private int code;
    private String message;
    private BodyBean body;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        /**
         * id : 6774
         * address : 北京市海淀区
         * geo : POINT(116.28759 40.049277)
         * type : 5
         * name : 启明星辰大厦(西门)
         * isExclusive : 0
         *  memo;
         *  endDate;
         */
        private int id;
        private String address;
        private String geo;
        private int type;
        private String name;
        private int isExclusive;
        private String memo;
        private String endDate;

        public String getMemo() {
            return memo;
        }

        public void setMemo(String memo) {
            this.memo = memo;
        }

        public String getEndDate() {
            return endDate;
        }

        public void setEndDate(String endDate) {
            this.endDate = endDate;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getGeo() {
            return geo;
        }

        public void setGeo(String geo) {
            this.geo = geo;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getIsExclusive() {
            return isExclusive;
        }

        public void setIsExclusive(int isExclusive) {
            this.isExclusive = isExclusive;
        }
    }
}
